Bug 195481 - [PORT] x11-wm/enlightenment: error on startup related to cpufreq (v0.19.1)
Summary: [PORT] x11-wm/enlightenment: error on startup related to cpufreq (v0.19.1)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: i386 Any
: --- Affects Some People
Assignee: Grzegorz Blach
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-28 19:28 UTC by hardy.schumacher
Modified: 2015-03-29 11:19 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (gblach)


Attachments
Path to resolve this problem (544 bytes, patch)
2015-01-24 10:09 UTC, Dmitry Luhtionov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2014-11-28 19:28:57 UTC
After fresh installation of x11-wm/enlightenment v0.19.1 it reports an error after start.

Enlightenment says, it is required to execute the following command as root:
chmod u+s,a+x /usr/local/lib/enlightenment/modules/cpufreq/freebsd9.3-i386-ver-serious-0.19/freqset

After executing this command manually as root, the issue was gone.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-28 19:28:57 UTC
Auto-assigned to maintainer gblach@FreeBSD.org
Comment 2 Dmitry Luhtionov 2015-01-24 10:09:44 UTC
Created attachment 152086 [details]
Path to resolve this problem
Comment 3 Dmitry Luhtionov 2015-01-24 10:27:08 UTC
(In reply to Dmitry Luhtionov from comment #2)
This patch resolve another problem, but appear to cpufreq module
Comment 4 commit-hook freebsd_committer 2015-02-04 13:03:46 UTC
A commit references this bug:

Author: vsevolod
Date: Wed Feb  4 13:03:31 UTC 2015
New revision: 378397
URL: https://svnweb.freebsd.org/changeset/ports/378397

Log:
  - Add SUID bit to the cpufreq module [1]
  - Fix sysctl invocation [2]
  - Bump portrevision

  PR:		195481
  Submitted by:	hardy.schumacher at gmx.de [1],  Dmitry Luhtionov [2]
  Approved by:	maintainer timeout (gblach)

Changes:
  head/x11-wm/enlightenment/Makefile
  head/x11-wm/enlightenment/files/patch-src-modules-cpufreq-freqset.c
  head/x11-wm/enlightenment/pkg-plist
Comment 5 Bartek Rutkowski freebsd_committer 2015-03-29 11:19:13 UTC
The fix has been already committed, so I am closing this PR.